CREATE SEQUENCE APP_SEQ;

CREATE TABLE SHDB_MIETKOSTEN_IST_DETAIL
(
  MID_ID             NUMBER                     NOT NULL,
  MID_MKI_ID         NUMBER                     NOT NULL,
  MID_KOA_ID         NUMBER                     NOT NULL,
  MID_BETRAG         NUMBER                     NOT NULL,
  MID_ERSTELLT_AM    DATE,
  MID_ERSTELLT_VON   VARCHAR2(50 BYTE),
  MID_GEAENDERT_AM   DATE,
  MID_GEAENDERT_VON  VARCHAR2(50 BYTE)
)
/

CREATE OR REPLACE TRIGGER SHDB_MK_IST_DETAIL_BI_TRG BEFORE INSERT ON SHDB_MIETKOSTEN_IST_DETAIL FOR EACH ROW
DECLARE
BEGIN
   IF :NEW.MID_ID IS NULL
   THEN
      SELECT APP_SEQ.NEXTVAL
        INTO :NEW.MID_ID
        FROM DUAL;
   END IF;
   
   :NEW.mid_erstellt_am := SYSDATE;
   :NEW.mid_erstellt_von := NVL (v ('APP_USER'), USER);
   :NEW.mid_geaendert_am := :NEW.mid_erstellt_am;
   :NEW.mid_geaendert_von := NVL (v ('APP_USER'), USER);
END;
/
SHOW ERRORS;

CREATE OR REPLACE TRIGGER SHDB_MK_IST_DETAIL_BU_TRG BEFORE UPDATE ON SHDB_MIETKOSTEN_IST_DETAIL FOR EACH ROW
DECLARE
BEGIN
   :NEW.mid_geaendert_am := SYSDATE;
   :NEW.mid_geaendert_von := NVL (v ('APP_USER'), USER);
END;
/
SHOW ERRORS;

