CREATE OR REPLACE PACKAGE xlib_http
AS
/*=========================================================================
 $Id: xlib_http.pks 145 2009-09-13 22:00:51Z dietmar.aust $
 
 Purpose  : Make http callouts 
 
 $LastChangedDate: 2009-09-13 23:00:51 +0100 (So, 13 Sep 2009) $
 $LastChangedBy: dietmar.aust $
 
 Date        Author           Comment
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 19.02.2007  D. Aust          initial creation
 07.08.2008  D. Aust          added check_get_request
                              display_url_raw: pass all request headers 
                                 to the client
=========================================================================*/

   c_success   CONSTANT CHAR (1) := '1';
   c_fail      CONSTANT CHAR (1) := '0';

   PROCEDURE display_url_raw (
      p_url                       VARCHAR2,
      p_mime_type_override   IN   VARCHAR2 DEFAULT NULL,
      p_charset              IN   VARCHAR2 DEFAULT NULL
   );

   PROCEDURE retrieve_blob_from_url (
      p_url               VARCHAR2,
      o_blob        OUT   BLOB,
      o_mime_type   OUT   VARCHAR2
   );

   FUNCTION escape_form_data (s VARCHAR2)
      RETURN VARCHAR2;

   FUNCTION check_get_request (p_url VARCHAR2)
      RETURN CHAR;
END;
/

